### Method

# Gsk ShaderArgsBuilderto_args

#### Declaration [src]

    GBytes*
    gsk_shader_args_builder_to_args (
      GskShaderArgsBuilder* builder
    )

#### Description [src]

Creates a new `GBytes` args from the current state of the given `builder`.

Any uniforms of the shader that have not been explicitly set on the `builder` are zero-initialized.

The given `GskShaderArgsBuilder` is reset once this function returns; you cannot call this function multiple times on the same `builder` instance.

This function is intended primarily for bindings. C code should use `gsk_shader_args_builder_free_to_args()`.

#### Return value

Type: `GBytes`

The newly allocated buffer with all the args added to `builder`.

The caller of the method takes ownership of the data, and is responsible for freeing it.